<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:36 GMT 2018 -->
<title>Uses of Class mapping.Presenter</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class mapping.Presenter";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../mapping/package-summary.html">Package</a></li>
<li><a href="../../mapping/Presenter.html" title="class in mapping">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../overview-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?mapping/class-use/Presenter.html" target="_top">Frames</a></li>
<li><a href="Presenter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class mapping.Presenter" class="title">Uses of Class<br>mapping.Presenter</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="mapping">
<!--   -->
</a>
<h3>Uses of <a href="../../mapping/Presenter.html" title="class in mapping">Presenter</a> in <a href="../../mapping/package-summary.html">mapping</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../mapping/package-summary.html">mapping</a> with parameters of type <a href="../../mapping/Presenter.html" title="class in mapping">Presenter</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../mapping/AdvancedMappingPopup.html#AdvancedMappingPopup-java.lang.String-java.lang.String-java.lang.String-java.lang.String-mapping.Presenter-">AdvancedMappingPopup</a></span>(java.lang.String&nbsp;key,
                    java.lang.String&nbsp;keymap,
                    java.lang.String&nbsp;displayType,
                    java.lang.String&nbsp;currentMapping,
                    <a href="../../mapping/Presenter.html" title="class in mapping">Presenter</a>&nbsp;presenter)</code>
<div class="block">Create the mapping popup window.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../mapping/KeyboardDisplay.html#KeyboardDisplay-mapping.Presenter-java.lang.String-">KeyboardDisplay</a></span>(<a href="../../mapping/Presenter.html" title="class in mapping">Presenter</a>&nbsp;presenter,
               java.lang.String&nbsp;keymap)</code>
<div class="block">Constructs the Keyboard display object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../mapping/LoadXmlPopup.html#LoadXmlPopup-mapping.Presenter-">LoadXmlPopup</a></span>(<a href="../../mapping/Presenter.html" title="class in mapping">Presenter</a>&nbsp;presenter)</code>
<div class="block">Class constructor for the popup.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../mapping/MainGUI.html#MainGUI-mapping.Presenter-java.lang.String-">MainGUI</a></span>(<a href="../../mapping/Presenter.html" title="class in mapping">Presenter</a>&nbsp;presenter,
       java.lang.String&nbsp;keymap)</code>
<div class="block">Creates and shows the main graphical interface</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../mapping/NewKeyMapPopup.html#NewKeyMapPopup-mapping.Presenter-java.lang.String-">NewKeyMapPopup</a></span>(<a href="../../mapping/Presenter.html" title="class in mapping">Presenter</a>&nbsp;presenter,
              java.lang.String&nbsp;parent)</code>
<div class="block">Constructs the object</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../mapping/package-summary.html">Package</a></li>
<li><a href="../../mapping/Presenter.html" title="class in mapping">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../overview-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?mapping/class-use/Presenter.html" target="_top">Frames</a></li>
<li><a href="Presenter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
